Name:           kde-plasma-yawp
Version:        0.2.3
Release:        1%{?dist}
Summary:        Yet Another Weather Plasmoid
Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://www.kde-look.org/content/show.php?content=94106
Source0:        http://downloads.sourceforge.net/yawp/yawp-%{version}.tar.bz2

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gettext
BuildRequires:  kdelibs-devel


%description
This colorful plasmoid shows weather maps, reports and forecasts.

%prep
%setup -q -n yawp-%{version}

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make VERBOSE=1 %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

%find_lang plasma_applet_yawp

%clean
rm -rf %{buildroot}


%files -f plasma_applet_yawp.lang
%defattr(-,root,root,-)
%doc COPYING README TODO
%{_kde4_libdir}/kde4/plasma_yawp.so
%{_kde4_datadir}/kde4/services/plasma_yawp.desktop
%{_kde4_appsdir}/desktoptheme/default/widgets/*.svg


%changelog
* Wed May 06 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 0.2.3-1
- Initial build
